# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/05-Factories

prod:
  logger:
    class:   sfNoLogger
    param:
      level:   err
      loggers: ~
#  mailer:
#    param:
#      delivery_strategy: realtime

test:
  storage:
    class: sfSessionTestStorage
    param:
      session_path: %SF_TEST_CACHE_DIR%/sessions

  response:
    class: sfWebResponse
    param:
      send_http_headers: false

#  mailer:
#    param:
#      delivery_strategy: realtime

dev:
#  mailer:
#    param:
#      delivery_strategy: realtime

all:
  routing:
    class: sfPatternRouting
    param:
      generate_shortest_url:            true
      extra_parameters_as_query_string: true

  view_cache_manager:
    class: sfViewCacheManager
    param:
      cache_key_use_vary_headers: true
      cache_key_use_host_name:    true
  mailer:
    param:
      transport:
        class: Swift_SmtpTransport
        param:
          delivery_strategy: realtime
          host:        ssl0.ovh.net
          port:       465
          encryption: ssl
          username: postmaster@satelysfx.com
          password: j6s5JY2X
          #host:       smtp.gmail.com
          #port:       465
          #encryption: ssl
          #username: pajot.stephane@gmail.com
          #password: pucounette
